if violation.timing == 'Day'
	|Today
if violation.timing == 'Week'
	|This week
if violation.constraint == 'greater'
	|you didn't consume enough
if violation.constraint == 'less'
	|you consumed a lot of
|!{ violation.entity } 
|(
|!{ violation.quantity } 
if violation.constraint == 'greater'
	|of minimum
if violation.constraint == 'less'
	|of maximum
|!{ violation.expectedQuantity } 
|).
